<?php
//define this module's name and path
$mn = "odyssey_cookies_directive";
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$explicitConsent = ($moduleParameters['explicitConsent'] == "__EMPTY__" || empty($moduleParameters['explicitConsent'])) ? 'false' : 'true';
$duration = $moduleParameters['duration'];
$privacyPolicyUri = $moduleParameters['privacyPolicyUri'];
$linkTarget = $moduleParameters['linkTarget'];
$position = $moduleParameters['position'];
$backgroundColor = $moduleParameters['backgroundColor'];
$fontColor = $moduleParameters['fontColor'];
$linkColor = $moduleParameters['linkColor'];
$backgroundOpacity = $moduleParameters['backgroundOpacity'];
$fontFamily = $moduleParameters['fontFamily'];
$fontSize = $moduleParameters['fontSize'];


?>
<script type="text/javascript">
$().ready(function(){
	$.cookiesDirective({
		duration: <?php echo $duration;?>,
		privacyPolicyUri: '<?php echo $privacyPolicyUri;?>',
		target: '<?php echo $linkTarget;?>',
		explicitConsent: <?php echo $explicitConsent;?>,
		position : '<?php echo $position;?>',
		backgroundColor: '#<?php echo $backgroundColor;?>',
		backgroundOpacity: '<?php echo $backgroundOpacity;?>',
		fontColor: '#<?php echo $fontColor;?>',
		linkColor: '#<?php echo $linkColor;?>',
		fontFamily: '<?php echo $fontFamily;?>',     
		fontSize: '<?php echo $fontSize;?>'
	});
});
</script>

