<?php
/*
Odyssey view file
Filename must be like "view_sectionName_viewName.php"
Reference to controller variables must be in form $this->varName
*/

global $langID;

$section = "users";
$sectionID = $system->getTableSectionID($section);
echo $custom->mainHeader("Περιοχή μελών", "Επεξεργασία των στοιχείων του λογαριασμού σας", 1);
$messages->printSystemMessages();
	?>

<div style="margin: 40px">
	<form action="index.php" method="post" autocomplete="off">
		<table class="formTable" style="margin-top: 30px">
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Ονοματεπώνυμο');?></td>
				<td style="width:220px"><input name="title" type="text" class="textbox" style="width:200px" value="<?php echo str_replace('"', "'", stripslashes($this->title));?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Username');?></td>
				<td><input name="userUsername" type="text" class="textbox" value="<?php echo stripslashes($this->username);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Password');?></td>
				<td><input name="userPassword" type="password" class="textbox" value="<?php echo stripslashes($this->password);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Διεύθυνση, Πόλη');?></td>
				<td><input name="address" type="text" class="textbox" style="width:200px" value="<?php echo stripslashes($this->address);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Τ.Κ.');?></td>
				<td><input name="tk" type="text" class="textbox"  style="width:40px" value="<?php echo stripslashes($this->tk);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span>e-mail </td>
				<td><input name="email" type="text" class="textbox" value="<?php echo stripslashes($this->email);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><?php echo t('Τηλέφωνο');?></td>
				<td><input name="phone" type="text" class="textbox" value="<?php echo stripslashes($this->phone);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><?php echo t('Επωνυμία τιμολόγησης');?></td>
				<td><input name="compName" type="text" class="textbox" style="width:200px" value="<?php echo stripslashes($this->compName);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><?php echo t('Επαγγελματική δραστηριότητα');?></td>
				<td><input name="compObject" type="text" class="textbox" style="width:200px" value="<?php echo stripslashes($this->compObject);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><?php echo t('Α.Φ.Μ.');?></td>
				<td><input name="afm" type="text" class="textbox" value="<?php echo stripslashes($this->afm);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><?php echo t('Δ.Ο.Υ.');?></td>
				<td><input name="doy" type="text" class="textbox" value="<?php echo stripslashes($this->doy);?>"></td>
			</tr>
			<tr>
				<td><input type="hidden" name="section" value="users">
					<input type="hidden" name="view" value="profile"></td>
				<td style="text-align:center"><input name="submitedData" type="submit" class="formButton" value="<?php echo t('Αποθήκευση');?>"></td>
			</tr>
		</table>
	</form>
</div>
