<?php
/*
Odyssey view file
Filename must be like "view_sectionName_viewName.php"
Reference to controller variables must be in form $this->varName
*/

global $langID;
$section = "users";
$sectionID = $system->getTableSectionID($section);
if(empty($this->recordAdded)){
	echo $custom->mainHeader("Περιοχή μελών", "Αίτηση εγγραφής νέου μέλους", 1);
	$messages->printSystemMessages();
	?>

<div style="margin: 40px">
	<form action="index.php" method="post" autocomplete="off">
		<table class="formTable" style="margin-top: 30px">
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Ονοματεπώνυμο');?></td>
				<td style="width:220px"><input name="title" type="text" class="textbox" style="width:220px" value="<?php echo str_replace('"', "'", stripslashes($this->title));?>">
					<input type="text" name="info" class="required"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Επιθυμητό username');?></td>
				<td><input name="userUsername" type="text" class="textbox" value="<?php echo stripslashes($this->username);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Επιθυμητό password');?></td>
				<td><input name="userPassword" type="password" class="textbox"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Διεύθυνση, Πόλη');?></td>
				<td><input name="address" type="text" class="textbox" style="width:220px" value="<?php echo stripslashes($this->address);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Τ.Κ.');?></td>
				<td><input name="tk" type="text" class="textbox"  style="width:80px" value="<?php echo stripslashes($this->tk);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span>e-mail </td>
				<td><input name="email" type="text" class="textbox" value="<?php echo stripslashes($this->email);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><?php echo t('Τηλέφωνο');?></td>
				<td><input name="phone" type="text" class="textbox" value="<?php echo stripslashes($this->phone);?>"></td>
			</tr>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Κωδικός ταυτοποίησης');?></td>
				<td><input name="security_code" type="text" id="security_code" class="textbox" style="width:80px"></td>
			</tr>
			<tr>
				<td style="text-align:right;"><img src="CaptchaSecurityImages.php?width=100&amp;height=40&amp;characters=5" style="display:block; float:right; margin-right:2px" alt="captcha" /></td>
				<td><?php echo t('Συμπληρώστε τον κωδικό ταυτοποίησης');?></td>
			</tr>
			<tr>
				<td><input type="hidden" name="section" value="users"><input type="hidden" name="view" value="register"></td>
				<td style="text-align:center"><input name="submitedData" type="submit" class="formButton" value="<?php echo t('Εγγραφή');?>"></td>
			</tr>
		</table>
	</form>
</div>
<?php 
}else{
	echo $custom->mainHeader("Περιοχή μελών", "Επιτυχής αποστολή της αίτησης εγγραφής", 1);
	$messages->printSystemMessages();
	?>
<div style="margin: 30px; text-align:left; line-height:14px">
	<div style="text-align:center; margin-bottom:30px">
		<img src="images/ok.png" width="75" height="61" alt="success">
	</div>
	<?php
					echo t("Η διαδικασία αποστολής της αίτησής σας ολοκληρώθηκε με επιτυχία").".<br>";
					echo t("Ο λογαριασμός σας θα ενεργοποιηθεί από τον σχετικό έλεγχο").".<br>";					
					echo t("Θα επικοινωνήσουμε μαζί σας το συντομότερο δυνατόν").".";
					?>
	<br>
	<br>
	<div style="border-top:1px solid silver; text-align:right; margin-top:30px;">
		<div style="display:inline-block; text-align:left">
			<ul class="links_list">
				<li><a href="index.php"><?php echo t("Αρχική σελίδα"); ?></a>
				</li>
			</ul>
		</div>
	</div>
</div>
<?php 
}
?>
