<?php

/*
Odyssey template index file
node must always be "index.php"
Do not remove the following system code block
********************************   Start   ************************************
*/

defined('CMS') or die("This file cannot run this way!");
global $library, $safeRequest, $urlExtension;
foreach($library as $class){global ${$class};}
foreach($safeRequest as $key=>$value){${$key} = $value;} // import the filtered request variables to template scope
if($this){
	$p = $this->getTemplatePath(); // use the $p shortcut to refer to the template path
	$settings = $this->template_settings; // any template's settings
	// example of settings reference: $settings->color_palete;
}

/*
********************************   End   ************************************
*/
?>
<div id="container">
<div id="header">
	<div class="header_contents">
		<div id="languages">
		<?php $this->includeModules("languages");?>
		</div>	
		<div id="logo">
		<?php $this->includeModules("logo");?>
		</div>
		<div style="float:right">
			<?php $this->includeModules("top_menu");?>
		</div>
	</div>
</div>
<div id="sub_header">
	<?php 
	if($banners->getNumBanners("728 X 90 (A)")){ 
	?>
	<div class="main_banner">
	<?php $banners->showBanners("728 X 90 (A)");?>
	</div>
	<?php 
}
	?>
	<div <?php if($this->view=="odyssey_index") echo 'style="margin-left:-1px;"';?>>
	<?php $this->includeModules("subheader");?>
	<div style="clear:both"></div>
	</div>
</div>
<div id="ribbon">
	<div style="position:absolute;top: 12px; left: 42px">
	<?php echo $custom->ribbonHeader("ΚΑΤΗΓΟΡΙΕΣ ΘΕΜΑΤΩΝ");?>
	</div>
	<div style="position:absolute; top: 3px; left: 690px">
	<div id="search"><?php $this->includeModules("top_search");?></div>
	</div>
</div>
<div id="wrapper" class="clearfix">
	<div id="main">
		<div id="sidebar">
			<?php $this->includeModules("sidebar");?>
		</div>
		<div id="contents">
		
	
<?php
include(
($this->section == "odyssey_index" && $this->view == "odyssey_index") 
? $p."view_odyssey_index.php" 
: $p."view_".$this->section."_".$this->view.".php"
);
?>
			<div id="social">
			<?php 
			if($this->view == "render" && $id == 11){
				// no social icons for members area page
			}else{
				$this->includeModules("social");
			}
			?>
			</div>
		</div>
	</div>
</div>
</div>
<div class="clearfix"></div>
<div id="footer_container">
	<div id="footer" class="clearfix">
		<div id="footer_left">
		<?php $this->includeModules("footer_left"); ?>
		</div>
		<div id="footer_middle">
		
		<div class="footer_header">
		<?php echo $custom->footerHeader("Πλοήγηση");?>
		</div>
			<?php $this->includeModules("footer_middle"); ?>
		</div>
		<div id="footer_right">
		<div class="footer_header">
		<?php $custom->footerHeader("Χορηγοί");?>
		</div>
		<div style="text-align:left; margin-top: 40px">
		<div style="display:inline-block">
		<?php
		$banners->showBanners("180 X 150 (A)");
		?>
		</div>
		</div>
			<?php $this->includeModules("footer_right"); ?>
		</div>
	</div>
	<div id="copyright" class="clearfix">
		<?php $this->includeModules("copyright");?>
	</div>
</div>
